3 years using Brave and now I get "Region not supported"

I live in Puerto Rico, and I have been using Brave for 3 years without any problems. My wallet connected, receiving BATs, all the yaddy-yadda working perfectly. But now, I get this message when I try to reconnect my Uphold wallet. What’s going on? How can this be fixed?

Please go read everything at PSA: Unsupported Region and you’ll have your answers.

Umm, patience and time. You’ll understand what I mean if you read everything in the topic I linked to you.